Index: trunk/LMDZ.TITAN/libf/muphytitan/cfgparse.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/cfgparse.F90	(revision 1896)
+++ trunk/LMDZ.TITAN/libf/muphytitan/cfgparse.F90	(revision 1897)
@@ -964,10 +1021,10 @@
     !!  - -6, the option does not have value(s).
     !!  - -10, the value cannot be converted in the output type.
-    OBJECT(cfgparser), INTENT(in) :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(in) :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)  :: name   !! (Full) Name of the option to get
     INTEGER, INTENT(out)          :: output !! Output value
-    TYPE(error) :: err 
+    TYPE(error) :: err
       !! Error status
-    INTEGER :: idx 
+    INTEGER :: idx
     CHARACTER(len=:), ALLOCATABLE :: tmp
     err = noerror
@@ -984,5 +1041,5 @@
         err = error("Option "//TRIM(name)//" has no value",-6)
       ELSE
-        IF(.NOT.from_string(tmp,output)) & 
+        IF(.NOT.from_string(tmp,output)) &
         err = error(TRIM(name)//": Cannot convert "//tmp//" to integer.",-10)
       ENDIF
@@ -997,10 +1054,10 @@
     !!  - -6, the option does not have value(s).
     !!  - -10, the value cannot be converted in the output type.
-    OBJECT(cfgparser), INTENT(in) :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(in) :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)  :: name   !! (Full) Name of the option to get
     LOGICAL, INTENT(out)          :: output !! Output value
-    TYPE(error) :: err 
+    TYPE(error) :: err
       !! Error status
-    INTEGER :: idx 
+    INTEGER :: idx
     CHARACTER(len=:), ALLOCATABLE :: tmp
     err = noerror
@@ -1017,5 +1074,5 @@
         err = error("Option "//TRIM(name)//" has no value",-6)
       ELSE
-        IF(.NOT.from_string(tmp,output)) & 
+        IF(.NOT.from_string(tmp,output)) &
         err = error(TRIM(name)//": Cannot convert "//tmp//" to logical.",-10)
       ENDIF
@@ -1030,10 +1087,10 @@
     !!  - -6, the option does not have value(s).
     !!  - -10, the value cannot be converted in the output type.
-    OBJECT(cfgparser), INTENT(in) :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(in) :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)  :: name   !! (Full) Name of the option to get
     COMPLEX, INTENT(out)          :: output !! Output value
-    TYPE(error) :: err 
+    TYPE(error) :: err
       !! Error status
-    INTEGER :: idx 
+    INTEGER :: idx
     CHARACTER(len=:), ALLOCATABLE :: tmp
     err = noerror
@@ -1050,5 +1107,5 @@
         err = error("Option "//TRIM(name)//" has no value",-6)
       ELSE
-        IF(.NOT.from_string(tmp,output)) & 
+        IF(.NOT.from_string(tmp,output)) &
         err = error(TRIM(name)//": Cannot convert "//tmp//" to complex.",-10)
       ENDIF
@@ -1062,10 +1119,10 @@
     !!  - -7, no option matches the given name.
     !!  - -6, the option does not have value(s).
-    OBJECT(cfgparser), INTENT(in) :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(in) :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)  :: name   !! (Full) Name of the option to get
     CHARACTER(len=*), INTENT(out) :: output !! Output value
-    TYPE(error) :: err 
+    TYPE(error) :: err
       !! Error status
-    INTEGER :: idx 
+    INTEGER :: idx
     !CHARACTER(len=:), ALLOCATABLE :: tmp
     err = noerror
@@ -1087,8 +1144,8 @@
     !!
     !! On error, the output vector is not allocated.
-    OBJECT(cfgparser), INTENT(in)                        :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(in)                        :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)                         :: name   !! (Full) Name of the option to get
     REAL(kind=4), INTENT(out), DIMENSION(:), ALLOCATABLE :: output !! Output values
-    TYPE(error) :: err                                                 
+    TYPE(error) :: err
       !! Error status of the method (see [[cfgparser(type):get_value(bound)]] documentation)
     CHARACTER(len=st_slen), DIMENSION(:), ALLOCATABLE :: tmp
@@ -1114,10 +1171,10 @@
         ELSE IF (.NOT.from_string(tmp(i), output(i))) THEN
           err = error("Cannot convert value #"//TRIM(i2s)//" from option "//TRIM(name),-10)
-          DEALLOCATE(output) ; EXIT  
+          DEALLOCATE(output) ; EXIT
         ENDIF
       ENDDO
     ENDIF
     DEALLOCATE(tmp)
-    RETURN 
+    RETURN
   END FUNCTION cp_get_rv_ve
 
@@ -1126,8 +1183,8 @@
     !!
     !! On error, the output vector is not allocated.
-    OBJECT(cfgparser), INTENT(in)                        :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(in)                        :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)                         :: name   !! (Full) Name of the option to get
     REAL(kind=8), INTENT(out), DIMENSION(:), ALLOCATABLE :: output !! Output values
-    TYPE(error) :: err                                                 
+    TYPE(error) :: err
       !! Error status of the method (see [[cfgparser(type):get_value(bound)]] documentation)
     CHARACTER(len=st_slen), DIMENSION(:), ALLOCATABLE :: tmp
@@ -1153,10 +1210,10 @@
         ELSE IF (.NOT.from_string(tmp(i), output(i))) THEN
           err = error("Cannot convert value #"//TRIM(i2s)//" from option "//TRIM(name),-10)
-          DEALLOCATE(output) ; EXIT  
+          DEALLOCATE(output) ; EXIT
         ENDIF
       ENDDO
     ENDIF
     DEALLOCATE(tmp)
-    RETURN 
+    RETURN
   END FUNCTION cp_get_dv_ve
 
@@ -1165,8 +1222,8 @@
     !!
     !! On error, the output vector is not allocated.
-    OBJECT(cfgparser), INTENT(in)                   :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(in)                   :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)                    :: name   !! (Full) Name of the option to get
     INTEGER, INTENT(out), DIMENSION(:), ALLOCATABLE :: output !! Output values
-    TYPE(error) :: err                                                 
+    TYPE(error) :: err
       !! Error status of the method (see [[cfgparser(type):get_value(bound)]] documentation)
     CHARACTER(len=st_slen), DIMENSION(:), ALLOCATABLE :: tmp
@@ -1192,10 +1249,10 @@
         ELSE IF (.NOT.from_string(tmp(i), output(i))) THEN
           err = error("Cannot convert value #"//TRIM(i2s)//" from option "//TRIM(name),-10)
-          DEALLOCATE(output) ; EXIT  
+          DEALLOCATE(output) ; EXIT
         ENDIF
       ENDDO
     ENDIF
     DEALLOCATE(tmp)
-    RETURN 
+    RETURN
   END FUNCTION cp_get_iv_ve
 
@@ -1204,8 +1261,8 @@
     !!
     !! On error, the output vector is not allocated.
-    OBJECT(cfgparser), INTENT(in)                   :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(in)                   :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)                    :: name   !! (Full) Name of the option to get
     LOGICAL, INTENT(out), DIMENSION(:), ALLOCATABLE :: output !! Output values
-    TYPE(error) :: err                                                 
+    TYPE(error) :: err
       !! Error status of the method (see [[cfgparser(type):get_value(bound)]] documentation)
     CHARACTER(len=st_slen), DIMENSION(:), ALLOCATABLE :: tmp
@@ -1231,10 +1288,10 @@
         ELSE IF (.NOT.from_string(tmp(i), output(i))) THEN
           err = error("Cannot convert value #"//TRIM(i2s)//" from option "//TRIM(name),-10)
-          DEALLOCATE(output) ; EXIT  
+          DEALLOCATE(output) ; EXIT
         ENDIF
       ENDDO
     ENDIF
     DEALLOCATE(tmp)
-    RETURN 
+    RETURN
   END FUNCTION cp_get_lv_ve
 
@@ -1243,8 +1300,8 @@
     !!
     !! On error, the output vector is not allocated.
-    OBJECT(cfgparser), INTENT(in)                   :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(in)                   :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)                    :: name   !! (Full) Name of the option to get
     COMPLEX, INTENT(out), DIMENSION(:), ALLOCATABLE :: output !! Output values
-    TYPE(error) :: err                                                 
+    TYPE(error) :: err
       !! Error status of the method (see [[cfgparser(type):get_value(bound)]] documentation)
     CHARACTER(len=st_slen), DIMENSION(:), ALLOCATABLE :: tmp
@@ -1270,10 +1327,10 @@
         ELSE IF (.NOT.from_string(tmp(i), output(i))) THEN
           err = error("Cannot convert value #"//TRIM(i2s)//" from option "//TRIM(name),-10)
-          DEALLOCATE(output) ; EXIT  
+          DEALLOCATE(output) ; EXIT
         ENDIF
       ENDDO
     ENDIF
     DEALLOCATE(tmp)
-    RETURN 
+    RETURN
   END FUNCTION cp_get_cv_ve
 
@@ -1282,9 +1339,8 @@
     !!
     !! On error, the output vector is not allocated.
-    OBJECT(cfgparser), INTENT(in)                            :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(in)                            :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)                             :: name   !! (Full) Name of the option to get
     CHARACTER(len=*), INTENT(out), DIMENSION(:), ALLOCATABLE :: output !! Output values
-    TYPE(error) :: err                                                 
-      !! Error status of the method (see [[cfgparser(type):get_value(bound)]] documentation)
+    TYPE(error) :: err                                                 !! Error status of the method (see [[cfgparser(type):get_value(bound)]] documentation)
     LOGICAL :: ok
     INTEGER :: idx
@@ -1307,15 +1363,15 @@
     !!
     !! If _create_ is given to .true., the method will add a new option if it does not exist in
-    !! the parser. 
-    !! In such case, an error (-6, invalid name) is raised if the option name is not valid.
+    !! the parser.
+    !! In such case, an error ((-9, invalid name)) is raised if the option name is not valid.
     !!
     !! In other case, if the option is not defined in the parser the error status is set to -7.
-    OBJECT(cfgparser), INTENT(inout) :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(inout) :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)     :: name   !! (Full) Name of the option to set
     REAL(kind=4), INTENT(in)         :: input  !! Input value
-    LOGICAL, INTENT(in), OPTIONAL    :: create !! .true. to create option if it does not exist (default to false). 
+    LOGICAL, INTENT(in), OPTIONAL    :: create !! .true. to create option if it does not exist (default to false).
     TYPE(error)                      :: err    !! Error status
     LOGICAL                       :: zcreate
-    INTEGER                       :: idx 
+    INTEGER                       :: idx
     CHARACTER(len=:), ALLOCATABLE :: sname,pname
     TYPE(words) :: values
@@ -1332,5 +1388,5 @@
       ENDIF
     ELSE
-      this%options(idx)%values = values 
+      this%options(idx)%values = values
     ENDIF
     CALL words_clear(values)
@@ -1341,15 +1397,15 @@
     !!
     !! If _create_ is given to .true., the method will add a new option if it does not exist in
-    !! the parser. 
-    !! In such case, an error (-6, invalid name) is raised if the option name is not valid.
+    !! the parser.
+    !! In such case, an error ((-9, invalid name)) is raised if the option name is not valid.
     !!
     !! In other case, if the option is not defined in the parser the error status is set to -7.
-    OBJECT(cfgparser), INTENT(inout) :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(inout) :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)     :: name   !! (Full) Name of the option to set
     REAL(kind=8), INTENT(in)         :: input  !! Input value
-    LOGICAL, INTENT(in), OPTIONAL    :: create !! .true. to create option if it does not exist (default to false). 
+    LOGICAL, INTENT(in), OPTIONAL    :: create !! .true. to create option if it does not exist (default to false).
     TYPE(error)                      :: err    !! Error status
     LOGICAL                       :: zcreate
-    INTEGER                       :: idx 
+    INTEGER                       :: idx
     CHARACTER(len=:), ALLOCATABLE :: sname,pname
     TYPE(words) :: values
@@ -1366,5 +1422,5 @@
       ENDIF
     ELSE
-      this%options(idx)%values = values 
+      this%options(idx)%values = values
     ENDIF
     CALL words_clear(values)
@@ -1376,14 +1432,14 @@
     !! If _create_ is given to .true., the method will add a new option if it does not exist in
     !! the parser.
-    !! In such case, an error (-6, invalid name) is raised if the option name is not valid.
+    !! In such case, an error ((-9, invalid name)) is raised if the option name is not valid.
     !!
     !! In other case, if the option is not defined in the parser the error status is set to -7.
-    OBJECT(cfgparser), INTENT(inout) :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(inout) :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)     :: name   !! (Full) Name of the option to set
     INTEGER, INTENT(in)              :: input  !! Input value
-    LOGICAL, INTENT(in), OPTIONAL    :: create !! .true. to create option if it does not exist (default to false). 
+    LOGICAL, INTENT(in), OPTIONAL    :: create !! .true. to create option if it does not exist (default to false).
     TYPE(error)                      :: err    !! Error status
     LOGICAL                       :: zcreate
-    INTEGER                       :: idx 
+    INTEGER                       :: idx
     CHARACTER(len=:), ALLOCATABLE :: sname,pname
     TYPE(words) :: values
@@ -1395,11 +1451,10 @@
       IF (zcreate) THEN
         err = op_split_name(name,sname,pname)
-        !IF (err == 0) err = cp_add_opt(this,sname,pname,values)
-        err = cp_add_opt(this,sname,pname,values)
+        IF (err == 0) err = cp_add_opt(this,sname,pname,values)
       ELSE
         err = error("Option "//TRIM(name)//" does not exist",-7)
       ENDIF
     ELSE
-      this%options(idx)%values = values 
+      this%options(idx)%values = values
     ENDIF
     CALL words_clear(values)
@@ -1411,14 +1466,14 @@
     !! If _create_ is given to .true., the method will add a new option if it does not exist in
     !! the parser.
-    !! In such case, an error (-6, invalid name) is raised if the option name is not valid.
+    !! In such case, an error ((-9, invalid name)) is raised if the option name is not valid.
     !!
     !! In other case, if the option is not defined in the parser the error status is set to -7.
-    OBJECT(cfgparser), INTENT(inout) :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(inout) :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)     :: name   !! (Full) Name of the option to set
     LOGICAL, INTENT(in)              :: input  !! Input value
-    LOGICAL, INTENT(in), OPTIONAL    :: create !! .true. to create option if it does not exist (default to false). 
+    LOGICAL, INTENT(in), OPTIONAL    :: create !! .true. to create option if it does not exist (default to false).
     TYPE(error)                      :: err    !! Error status
     LOGICAL                       :: zcreate
-    INTEGER                       :: idx 
+    INTEGER                       :: idx
     CHARACTER(len=:), ALLOCATABLE :: sname,pname
     TYPE(words) :: values
@@ -1435,5 +1490,5 @@
       ENDIF
     ELSE
-      this%options(idx)%values = values 
+      this%options(idx)%values = values
     ENDIF
     CALL words_clear(values)
@@ -1445,14 +1500,14 @@
     !! If _create_ is given to .true., the method will add a new option if it does not exist in
     !! the parser.
-    !! In such case, an error (-6, invalid name) is raised if the option name is not valid.
+    !! In such case, an error ((-9, invalid name)) is raised if the option name is not valid.
     !!
     !! In other case, if the option is not defined in the parser the error status is set to -7.
-    OBJECT(cfgparser), INTENT(inout) :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(inout) :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)     :: name   !! (Full) Name of the option to set
     COMPLEX, INTENT(in)              :: input  !! Input value
-    LOGICAL, INTENT(in), OPTIONAL    :: create !! .true. to create option if it does not exist (default to false). 
+    LOGICAL, INTENT(in), OPTIONAL    :: create !! .true. to create option if it does not exist (default to false).
     TYPE(error)                      :: err    !! Error status
     LOGICAL                       :: zcreate
-    INTEGER                       :: idx 
+    INTEGER                       :: idx
     CHARACTER(len=:), ALLOCATABLE :: sname,pname
     TYPE(words) :: values
@@ -1469,5 +1524,5 @@
       ENDIF
     ELSE
-      this%options(idx)%values = values 
+      this%options(idx)%values = values
     ENDIF
     CALL words_clear(values)
@@ -1479,14 +1534,14 @@
     !! If _create_ is given to .true., the method will add a new option if it does not exist in
     !! the parser.
-    !! In such case, an error (-6, invalid name) is raised if the option name is not valid.
+    !! In such case, an error ((-9, invalid name)) is raised if the option name is not valid.
     !!
     !! In other case, if the option is not defined in the parser the error status is set to -7.
-    OBJECT(cfgparser), INTENT(inout) :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(inout) :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)     :: name   !! (Full) Name of the option to set
     CHARACTER(len=*), INTENT(in)     :: input  !! Input value
-    LOGICAL, INTENT(in), OPTIONAL    :: create !! .true. to create option if it does not exist (default to false). 
+    LOGICAL, INTENT(in), OPTIONAL    :: create !! .true. to create option if it does not exist (default to false).
     TYPE(error)                      :: err    !! Error status
     LOGICAL                       :: zcreate
-    INTEGER                       :: idx 
+    INTEGER                       :: idx
     CHARACTER(len=:), ALLOCATABLE :: sname,pname
     TYPE(words) :: values
@@ -1503,5 +1558,5 @@
       ENDIF
     ELSE
-      this%options(idx)%values = values 
+      this%options(idx)%values = values
     ENDIF
     CALL words_clear(values)
@@ -1512,9 +1567,9 @@
     !!
     !! If _create_ is given to .true., the method will add a new option if it does not exist in
-    !! the parser. 
-    !! In such case, an error (-6, invalid name) is raised if the option name is not valid.
+    !! the parser.
+    !! In such case, an error ((-9, invalid name)) is raised if the option name is not valid.
     !!
     !! In other case, if the option is not defined in the parser the error status is set to -7.
-    OBJECT(cfgparser), INTENT(inout)       :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(inout)       :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)           :: name   !! (Full) Name of the option to get
     REAL(kind=4), INTENT(in), DIMENSION(:) :: input  !! Input values
@@ -1537,5 +1592,5 @@
       ENDIF
     ELSE
-      this%options(idx)%values = values 
+      this%options(idx)%values = values
     ENDIF
     CALL words_clear(values)
@@ -1547,8 +1602,8 @@
     !! If _create_ is given to .true., the method will add a new option if it does not exist in
     !! the parser.
-    !! In such case, an error (-6, invalid name) is raised if the option name is not valid.
+    !! In such case, an error ((-9, invalid name)) is raised if the option name is not valid.
     !!
     !! In other case, if the option is not defined in the parser the error status is set to -7.
-    OBJECT(cfgparser), INTENT(inout)       :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(inout)       :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)           :: name   !! (Full) Name of the option to get
     REAL(kind=8), INTENT(in), DIMENSION(:) :: input  !! Input values
@@ -1571,5 +1626,5 @@
       ENDIF
     ELSE
-      this%options(idx)%values = values 
+      this%options(idx)%values = values
     ENDIF
     CALL words_clear(values)
@@ -1580,9 +1635,9 @@
     !!
     !! If _create_ is given to .true., the method will add a new option if it does not exist in
-    !! the parser. 
-    !! In such case, an error (-6, invalid name) is raised if the option name is not valid.
+    !! the parser.
+    !! In such case, an error ((-9, invalid name)) is raised if the option name is not valid.
     !!
     !! In other case, if the option is not defined in the parser the error status is set to -7.
-    OBJECT(cfgparser), INTENT(inout)  :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(inout)  :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)      :: name   !! (Full) Name of the option to get
     INTEGER, INTENT(in), DIMENSION(:) :: input  !! Input values
@@ -1605,5 +1660,5 @@
       ENDIF
     ELSE
-      this%options(idx)%values = values 
+      this%options(idx)%values = values
     ENDIF
     CALL words_clear(values)
@@ -1615,8 +1670,8 @@
     !! If _create_ is given to .true., the method will add a new option if it does not exist in
     !! the parser.
-    !! In such case, an error (-6, invalid name) is raised if the option name is not valid.
+    !! In such case, an error ((-9, invalid name)) is raised if the option name is not valid.
     !!
     !! In other case, if the option is not defined in the parser the error status is set to -7.
-    OBJECT(cfgparser), INTENT(inout)  :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(inout)  :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)      :: name   !! (Full) Name of the option to get
     LOGICAL, INTENT(in), DIMENSION(:) :: input  !! Input values
@@ -1639,5 +1694,5 @@
       ENDIF
     ELSE
-      this%options(idx)%values = values 
+      this%options(idx)%values = values
     ENDIF
     CALL words_clear(values)
@@ -1648,9 +1703,9 @@
     !!
     !! If _create_ is given to .true., the method will add a new option if it does not exist in
-    !! the parser. 
-    !! In such case, an error (-6, invalid name) is raised if the option name is not valid.
+    !! the parser.
+    !! In such case, an error ((-9, invalid name)) is raised if the option name is not valid.
     !!
     !! In other case, if the option is not defined in the parser the error status is set to -7.
-    OBJECT(cfgparser), INTENT(inout)  :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(inout)  :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)      :: name   !! (Full) Name of the option to get
     COMPLEX, INTENT(in), DIMENSION(:) :: input  !! Input values
@@ -1673,5 +1728,5 @@
       ENDIF
     ELSE
-      this%options(idx)%values = values 
+      this%options(idx)%values = values
     ENDIF
     CALL words_clear(values)
@@ -1683,8 +1738,8 @@
     !! If _create_ is given to .true., the method will add a new option if it does not exist in
     !! the parser.
-    !! In such case, an error (-6, invalid name) is raised if the option name is not valid.
+    !! In such case, an error ((-9, invalid name)) is raised if the option name is not valid.
     !!
     !! In other case, if the option is not defined in the parser the error status is set to -7.
-    OBJECT(cfgparser), INTENT(inout)           :: this   !! Cfgparser object 
+    OBJECT(cfgparser), INTENT(inout)           :: this   !! Cfgparser object
     CHARACTER(len=*), INTENT(in)               :: name   !! (Full) Name of the option to get
     CHARACTER(len=*), INTENT(in), DIMENSION(:) :: input  !! Input values
@@ -1707,5 +1762,5 @@
       ENDIF
     ELSE
-      this%options(idx)%values = values 
+      this%options(idx)%values = values
     ENDIF
     CALL words_clear(values)
@@ -1734,5 +1789,5 @@
     LOGICAL                       :: zoverride,ok,has_opt
     INTEGER                       :: lineno,lu,i
-    CHARACTER(len=2), PARAMETER   :: space = CHAR(32)//","    ! check if , is really wanted..
+    CHARACTER(len=2), PARAMETER   :: space = CHAR(32)//","    ! check if , is really wanted... A: YES space are the delimiter of the words internal object !
     CHARACTER(len=2), PARAMETER   :: blanks = CHAR(9)//CHAR(32) ! currently not used because blanks truncate.
     CHARACTER(len=15)             :: sln
@@ -1746,9 +1801,9 @@
     zoverride = .false. ; IF (PRESENT(override)) zoverride = override
     ! initialize local variables
-    curval = '' ; line   = '' ; name  = '' ; value = '' 
-    lineno = 0  ; lu = free_lun() 
+    curval = '' ; line   = '' ; name  = '' ; value = ''
+    lineno = 0  ; lu = free_lun()
     IF (LEN_TRIM(isec) == 0) isec = "__default__"
     i = INDEX(TRIM(path),"/",.true.)
-    IF (i == 0) THEN 
+    IF (i == 0) THEN
       fulp = fs_realpath("./"//TRIM(ADJUSTL(path)))
     ELSE
@@ -1763,5 +1818,5 @@
       RETURN
     ENDIF
-    ! check for lun 
+    ! check for lun
     IF (lu == -1) THEN ; err = error("No available logical unit",-12) ; RETURN ; ENDIF
     OPEN(lu,FILE=TRIM(path),STATUS='old',ACTION='READ')
@@ -1775,5 +1830,5 @@
           ! 1) get relative path
           ipath = fs_relpath(ipath,dirp)
-          ! 2) compute asbolute path)
+          ! 2) compute asbolute path
           ipath = TRIM(dirp)//"/"//TRIM(ipath)
           ipath = fs_realpath(ipath)
@@ -1793,5 +1848,5 @@
             CALL op_clear(curopt); curval = ''
           ENDIF
-          err = read_include(parser,ipath,isec,ipaths,zoverride) 
+          err = read_include(parser,ipath,isec,ipaths,zoverride)
           IF (err /= 0) EXIT
         ENDIF
@@ -1799,5 +1854,5 @@
       ENDIF
       ! continuation line ?
-      IF (SCAN(line(1:1),blanks) /= 0 .AND. op_valid(curopt)) THEN 
+      IF (SCAN(line(1:1),blanks) /= 0 .AND. op_valid(curopt)) THEN
           IF (LEN(curval) == 0) THEN
             curval = strip_comment(line)
@@ -1806,5 +1861,5 @@
           ENDIF
       ELSE
-       ! 1. Remove comment part and left adjust line 
+       ! 1. Remove comment part and left adjust line
        line = strip_comment(line)
        ! a section header or option header?
@@ -1837,5 +1892,5 @@
            ! 3. curval is set to value
            ! 4. update curval
-           IF (op_valid(curopt)) THEN 
+           IF (op_valid(curopt)) THEN
               IF (LEN(curval) > 0) &
               CALL words_extend(curopt%values,TRIM(ADJUSTL(curval)),space,.true.,.true.)
@@ -1847,8 +1902,8 @@
            ENDIF
            CALL op_clear(curopt) ; curval = ''
-           has_opt = cfg_has_option(parser,TRIM(isec)//"/"//TRIM(name)) 
+           has_opt = cfg_has_option(parser,TRIM(isec)//"/"//TRIM(name))
 
            IF (has_opt.AND..NOT.zoverride) THEN
-             ! it is an error: no duplicate allowed 
+             ! it is an error: no duplicate allowed
              err = error(basp//'(L'//TRIM(sln)//"): Duplicate option '"//TRIM(name)//"' in "//isec,-8)
              EXIT
@@ -1859,10 +1914,10 @@
            curval = value
          CASE(cfg_UNKNOWN)
-           ! unknown handles also invalid name: it is a critical error 
+           ! unknown handles also invalid name: it is a critical error
            IF (err == -9) EXIT
-       END SELECT 
+       END SELECT
       ENDIF
     ENDDO
-    IF (op_valid(curopt)) THEN 
+    IF (op_valid(curopt)) THEN
       IF (LEN(curval) > 0) &
       CALL words_extend(curopt%values,TRIM(ADJUSTL(curval)),space,.true.,.true.)
@@ -1886,6 +1941,6 @@
       !!   it is a section header.
       !! - Otherwise, if line has '=', without '#' before '=', it is an option.
-      !! 
-      !! Then the method returns an integer with the kind flag of the statement which is one of 
+      !!
+      !! Then the method returns an integer with the kind flag of the statement which is one of
       !! -1 (cfg_UNKNOWN), 0 (cfg_SECTION) or 1 (cfg_OPTION).
       CHARACTER(len=*), INTENT(in)               :: string  !! Input string to process
@@ -1898,15 +1953,16 @@
       kind = cfg_UNKNOWN
       ! get a trimmed (and left adjusted) copy
-      copy = TRIM(string) 
+      copy = TRIM(string)
       ! Is it a section ?
       !   ---> search for subscripts of '[' and ']'
       !   ---> check that '[' is 1st char and ']' is last char
-      bi = INDEX(copy,'[') ; ei = INDEX(copy,']') 
+      bi = INDEX(copy,'[') ; ei = INDEX(copy,']')
       IF (bi == 1 .AND. ei == LEN(copy) .AND. bi < ei) THEN
         ! it is a section header
         kind = cfg_SECTION
         ! get section name: adjust and trim to remove extra blank spaces
-        name = str_to_lower(TRIM(ADJUSTL(copy(bi+1:ei-1))))
-        IF (TRIM(name) /= "__default__" .AND. .NOT.cfg_check_name(name)) THEN 
+        name = TRIM(ADJUSTL(copy(bi+1:ei-1)))
+        ! hack cfg_check_name: append '/a' to get a valid option part to test
+        IF (TRIM(name) /= "__default__" .AND. .NOT.cfg_check_name(name//"/a")) THEN
           kind = cfg_UNKNOWN
           err = error("Invalid section name ("//name//")",-9)
@@ -1916,13 +1972,13 @@
       ELSE
         ! Is it an option ?
-        !   --> search for '=' and check if it is set before 
+        !   --> search for '=' and check if it is set before
         !       1st quote (if any)
-        bi = INDEX(copy,"=") 
+        bi = INDEX(copy,"=")
         ! search for quotes
         ei = SCAN(copy,quotes) ; IF (ei==0) ei = LEN(copy)+1
         IF (bi /= 0 .AND. bi < ei) THEN
           kind = cfg_OPTION
-          name = str_to_lower(TRIM(copy(1:bi-1)))
-          IF (.NOT.cfg_check_name(name)) THEN 
+          name = to_lower(TRIM(copy(1:bi-1)))
+          IF (.NOT.cfg_check_name(name)) THEN
             kind = cfg_UNKNOWN
             err = error("Invalid option name ("//TRIM(name)//")",-9)
@@ -1944,10 +2000,10 @@
     FUNCTION strip_comment(line) RESULT(stripped)
       !! Replace comments part of a string by blank spaces
-      !! The method replaces every characters after '#' (included) by spaces. 
-      !! @note 
+      !! The method replaces every characters after '#' (included) by spaces.
+      !! @note
       !! Output string is also left adjusted, thus only trailing blank can be present.
       CHARACTER(len=*), INTENT(in) :: line !! A string to process
       CHARACTER(len=LEN(line)) :: stripped !! A string of same length than 'line' but without comment(s)
-      
+
       INTEGER :: idx
       stripped = ADJUSTL(line)
@@ -1960,10 +2016,10 @@
       !! Read a complete line
       !!
-      !! Each time it is CALLed, the function reads a complete of the file opened in 'lun' logical 
+      !! Each time it is CALLed, the function reads a complete of the file opened in 'lun' logical
       !! unit and returns .false. if EOF has been reached, .true. otherwise.
       !!
       !! The function is intended to read a file line by line:
-      !! 
-      !! ```fortran
+      !!
+      !! ```
       !! lu = 1
       !! open(lu,file="path/to/the/file/to/read")
@@ -1975,10 +2031,10 @@
       !! CLOSE(1)
       !! ```
-      INTEGER, INTENT(in)                        :: lun     !! Logical unit with the opened file to read. 
-      CHARACTER(len=:), INTENT(out), ALLOCATABLE :: string  !! Output processed line 
+      INTEGER, INTENT(in)                        :: lun     !! Logical unit with the opened file to read.
+      CHARACTER(len=:), INTENT(out), ALLOCATABLE :: string  !! Output processed line
       LOGICAL                                    :: not_eof !! .true. if EOF has NOT been reached yet, .false. otherwise
       CHARACTER(len=50) :: buf
       INTEGER           :: e,sz
-      not_eof = .true. ; string = '' 
+      not_eof = .true. ; string = ''
       DO
         READ(lun,'(a)',ADVANCE="no",SIZE=sz,IOSTAT=e) buf
